osmium::util::DeltaEncodeIterator< TBaseIterator, TTransform, TValue, TDelta > Class Template Reference

`#include <delta.hpp>`

Inheritance diagram for osmium::util::DeltaEncodeIterator< TBaseIterator, TTransform, TValue, TDelta >:
[legend]
Collaboration diagram for osmium::util::DeltaEncodeIterator< TBaseIterator, TTransform, TValue, TDelta >:
[legend]

## Public Types

using | value_type = TValue
using | delta_type = TDelta

## Public Member Functions

| DeltaEncodeIterator (TBaseIterator first, TBaseIterator last, TTransform &trans)
DeltaEncodeIterator & | operator++ ()
DeltaEncodeIterator | operator++ (int)
TDelta | operator* ()
bool | operator== (const DeltaEncodeIterator &rhs) const
bool | operator!= (const DeltaEncodeIterator &rhs) const

## Private Attributes

TBaseIterator | m_it
TBaseIterator | m_end
TTransform | m_trans
DeltaEncode< TValue, TDelta > | m_value
TDelta | m_delta

## Member Typedef Documentation

template<typename TBaseIterator , typename TTransform , typename TValue , typename TDelta = int64_t>

using osmium::util::DeltaEncodeIterator< TBaseIterator, TTransform, TValue, TDelta >::delta_type = TDelta

template<typename TBaseIterator , typename TTransform , typename TValue , typename TDelta = int64_t>

using osmium::util::DeltaEncodeIterator< TBaseIterator, TTransform, TValue, TDelta >::value_type = TValue

## Constructor & Destructor Documentation

template<typename TBaseIterator , typename TTransform , typename TValue , typename TDelta = int64_t>

osmium::util::DeltaEncodeIterator< TBaseIterator, TTransform, TValue, TDelta >::DeltaEncodeIterator | ( | TBaseIterator | first,
|  | TBaseIterator | last,
|  | TTransform & | trans
| ) |  |

inline

## Member Function Documentation

template<typename TBaseIterator , typename TTransform , typename TValue , typename TDelta = int64_t>

bool osmium::util::DeltaEncodeIterator< TBaseIterator, TTransform, TValue, TDelta >::operator!= | ( | const DeltaEncodeIterator< TBaseIterator, TTransform, TValue, TDelta > & | rhs | ) | const

inline

template<typename TBaseIterator , typename TTransform , typename TValue , typename TDelta = int64_t>

TDelta osmium::util::DeltaEncodeIterator< TBaseIterator, TTransform, TValue, TDelta >::operator* | ( |  | ) |

inline

template<typename TBaseIterator , typename TTransform , typename TValue , typename TDelta = int64_t>

DeltaEncodeIterator& osmium::util::DeltaEncodeIterator< TBaseIterator, TTransform, TValue, TDelta >::operator++ | ( |  | ) |

inline

template<typename TBaseIterator , typename TTransform , typename TValue , typename TDelta = int64_t>

DeltaEncodeIterator osmium::util::DeltaEncodeIterator< TBaseIterator, TTransform, TValue, TDelta >::operator++ | ( | int |  | ) |

inline

template<typename TBaseIterator , typename TTransform , typename TValue , typename TDelta = int64_t>

bool osmium::util::DeltaEncodeIterator< TBaseIterator, TTransform, TValue, TDelta >::operator== | ( | const DeltaEncodeIterator< TBaseIterator, TTransform, TValue, TDelta > & | rhs | ) | const

inline

## Member Data Documentation

template<typename TBaseIterator , typename TTransform , typename TValue , typename TDelta = int64_t>

TDelta osmium::util::DeltaEncodeIterator< TBaseIterator, TTransform, TValue, TDelta >::m_delta

private

template<typename TBaseIterator , typename TTransform , typename TValue , typename TDelta = int64_t>

TBaseIterator osmium::util::DeltaEncodeIterator< TBaseIterator, TTransform, TValue, TDelta >::m_end

private

template<typename TBaseIterator , typename TTransform , typename TValue , typename TDelta = int64_t>

TBaseIterator osmium::util::DeltaEncodeIterator< TBaseIterator, TTransform, TValue, TDelta >::m_it

private

template<typename TBaseIterator , typename TTransform , typename TValue , typename TDelta = int64_t>

TTransform osmium::util::DeltaEncodeIterator< TBaseIterator, TTransform, TValue, TDelta >::m_trans

private

template<typename TBaseIterator , typename TTransform , typename TValue , typename TDelta = int64_t>

DeltaEncode<TValue, TDelta> osmium::util::DeltaEncodeIterator< TBaseIterator, TTransform, TValue, TDelta >::m_value

private

The documentation for this class was generated from the following file:

- osmium/util/delta.hpp